Internet Explorer Security Threat

Microsoft has confirmed a security breach in all versions of Internet Explorer (IE 9, 10, and 11 are especially vulnerable). Switch your browser to Google Chrome or Firefox to eliminate the immediate malware threat.  Microsoft is looking into the issue and will likely have a security patch to remove the problem soon.  This is good news for Vista, Windows 7, and Windows 8 users.

XP users are not as lucky.  As of April 8th , Microsoft stopped supporting XP and there will be no further updates.   If you are still using XP, then you need to use another browser like Google Chrome or Firefox. Unfortunately, not all Applications will work in Chrome or Firefox. The only solution then is to upgrade or replace your computer.   A good rule of thumb is to replace your computer if it is over 4 years old or has 2 GB (or less) of memory.